<?php


namespace App\Community\Controllers;


use App\Http\Controllers\Controller;
use App\Models\Order;
use App\Models\Schedule;
use App\Models\SchedulePeriod;
use App\Models\Vaccine;

class StatController extends  Controller
{

    //疫苗统计
    public function vaccine()
    {
        $data ['count'] = Vaccine::count();
        $data['have'] = Vaccine::sum('state');
        $data['today_spend'] = Order::where(['state'=>0])->count();//取苗钟数
        $data['success'] = Order::where(['order_status'=>1])->where('product_type',4)->where('created_at','>',date('Y-m-d H:i:s',time()))->count();
        $data['today_vaccine'] = Order::where(['product_type'=>4])->with('orderPatient','appoint_start_time',strtotime('today'))->count();//接诊患者（人次)

        return $data;

    }



    //实时数据
    public function service()
    {
        $data['success'] = Order::where(['order_status'=>1])->whereIn('product_type',[3,4,5])->where('created_at','>',date('Y-m-d H:i:s',time()))->count();
        $data['success'] = SchedulePeriod::distinct()->where('schedule_data',date('Y-m-d H:i:s',time()))->count();
//        $data['paitent_num'] = Order::where(['order_status'=>1])->distinct()->count()->BgroupBy('patient_id');
        $data['paitent_num'] = Order::where(['product_type'=>4,'orderPatient.appoint_start_time'=>strtotime('today')])->count();//接诊患者（人次)




    }

    //儿保概况
    public function nurse()
    {
     $nurse_num = Order::where('prdoduct_type',5)->where('created_at','>',strtotime('today'));
    }

    //排班统计
    public function schedule()
    {
        SchedulePeriod::where('schedule_date',strtotime('today'))->distinct('docter_id')->get()->GroupBy('docter.type');
    }
}
